# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           synce-gnomevfs
Version:        0.13
Release:        alt1_6
Summary:        Gnome-vfs module for synce

Group:          Communications
License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/%{name}-%{version}.tar.gz

BuildRequires:  libsynce-devel librapi-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  ORBit2-devel
BuildRequires:  glib2-devel
BuildRequires:  automake

Requires:       gnome-vfs
Requires:       shared-mime-info
Source44: import.info

%description
This is a gnome-vfs module that enables access to the Windows CE or Pocket
PC file system through the gnome-vfs functions.

%prep
%setup -q

%build
%configure --disable-static --with-libsynce-include=%{_includedir} \
--with-libsynce-lib=%{_libdir} --with-librapi2-include=%{_includedir} \
--with-librapi2-lib=%{_libdir}
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.la
rm -f $RPM_BUILD_ROOT%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.la 

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/synce-in-computer-folder
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/synce-module.conf
%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so
%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.so
%{_datadir}/icons/hicolor/48x48/apps/synce-gnomevfs.png
%{_datadir}/synce/synce-in-computer-folder.sh
%{_mandir}/man1/*
%{_datadir}/mime/packages/*


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_6
- initial fc import

* Sun Oct 05 2008 Alexey Shabalin <shaba@altlinux.ru> 0.12-alt1
- 0.12

* Sun Mar 02 2008 Alexey Shabalin <shaba@altlinux.ru> 0.11-alt1
- initial build for ALTLinux
